## shell-polkit-authentication-agent shell-polkit-authentication-agent |

## Functions

ShellPolkitAuthenticationAgent * | shell_polkit_authentication_agent_new ()
void | shell_polkit_authentication_agent_complete ()
void | shell_polkit_authentication_agent_register ()
void | shell_polkit_authentication_agent_unregister ()

## Signals

void | cancel | Run Last
void | initiate | Run Last

## Object Hierarchy

        GObject
        ╰── PolkitAgentListener
            ╰── ShellPolkitAuthenticationAgent

## Description

## Functions

### shell_polkit_authentication_agent_new ()

    ShellPolkitAuthenticationAgent *
    shell_polkit_authentication_agent_new (void);

### shell_polkit_authentication_agent_complete ()

    void
    shell_polkit_authentication_agent_complete
                                   (ShellPolkitAuthenticationAgent *agent,
                                    gboolean dismissed);

### shell_polkit_authentication_agent_register ()

    void
    shell_polkit_authentication_agent_register
                                   (ShellPolkitAuthenticationAgent *agent,
                                    GError **error_out);

### shell_polkit_authentication_agent_unregister ()

    void
    shell_polkit_authentication_agent_unregister
                                   (ShellPolkitAuthenticationAgent *agent);

## Types and Values

## Signal Details

### The `“cancel”` signal

    void
    user_function (ShellPolkitAuthenticationAgent *shellpolkitauthenticationagent,
                   gpointer                        user_data)

Flags: Run Last

### The `“initiate”` signal

    void
    user_function (ShellPolkitAuthenticationAgent *shellpolkitauthenticationagent,
                   gchar                          *arg1,
                   gchar                          *arg2,
                   gchar                          *arg3,
                   gchar                          *arg4,
                   GStrv                           arg5,
                   gpointer                        user_data)

Flags: Run Last